<?php
declare(strict_types=1);

namespace App\Entity\Organization;

//use DH\Auditor\Provider\Doctrine\Auditing\Annotation\Auditable;
use Doctrine\ORM\Mapping as ORM;

/**
 * Classe ... qui ...
 */
//#[Auditable]
#[ORM\Entity]
class OnlineRegistrationDocument
{
    #[ORM\Id]
    #[ORM\Column]
    #[ORM\GeneratedValue]
    private ?int $id = null;

    #[ORM\ManyToOne(inversedBy: 'documents')]
    #[ORM\JoinColumn(nullable: true)]
    private OnlineRegistrationSettings $onlineRegistrationSettings;

    #[ORM\ManyToOne(inversedBy: 'guardiansDocuments')]
    #[ORM\JoinColumn(nullable: true)]
    private OnlineRegistrationSettings $guardiansOnlineRegistrationSettings;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getOnlineRegistrationSettings(): ?OnlineRegistrationSettings
    {
        return $this->onlineRegistrationSettings;
    }

    public function setOnlineRegistrationSettings(?OnlineRegistrationSettings $onlineRegistrationSettings): self
    {
        $this->onlineRegistrationSettings = $onlineRegistrationSettings;

        return $this;
    }

    public function getGuardiansOnlineRegistrationSettings(): ?OnlineRegistrationSettings
    {
        return $this->guardiansOnlineRegistrationSettings;
    }

    public function setGuardiansOnlineRegistrationSettings(?OnlineRegistrationSettings $guardiansOnlineRegistrationSettings): self
    {
        $this->guardiansOnlineRegistrationSettings = $guardiansOnlineRegistrationSettings;

        return $this;
    }
}